<html>
<head>
<title>Ogre::BillboardChain::Element Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1BillboardChain.html">BillboardChain</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html">Element</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::BillboardChain::Element Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::BillboardChain::Element" -->
<p>Contains the data of an element of the <a class="el" href="classOgre_1_1BillboardChain.html" title="Allows the rendering of a chain of connected billboards.">BillboardChain</a>.  
 <a href="classOgre_1_1BillboardChain_1_1Element.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>&gt;</code></p>

<p><a href="classOgre_1_1BillboardChain_1_1Element-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a68874dd0bbc8cae9ac036dfc45aeec4b">Element</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a8002c580266cf64b506d2558f86f0146">Element</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;<a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a8ba26812cafc456d1ffcdafba1edc4c7">position</a>, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a12ba93bd71664de7567e0f8e84cd3691">width</a>, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#adfcbe79d8b6bd60c8ea91c2c75f92f46">texCoord</a>, const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;<a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#aca293130c8752d30fc6a7bee3252fc36">colour</a>, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;<a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a511a534a85e4accfbbdcb34dc4bcd66c">orientation</a>)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a8ba26812cafc456d1ffcdafba1edc4c7">position</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a12ba93bd71664de7567e0f8e84cd3691">width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#adfcbe79d8b6bd60c8ea91c2c75f92f46">texCoord</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">U or V texture coord depending on options.  <a href="#adfcbe79d8b6bd60c8ea91c2c75f92f46"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#aca293130c8752d30fc6a7bee3252fc36">colour</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a511a534a85e4accfbbdcb34dc4bcd66c">orientation</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Contains the data of an element of the <a class="el" href="classOgre_1_1BillboardChain.html" title="Allows the rendering of a chain of connected billboards.">BillboardChain</a>. </p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h_source.html#l00083">83</a> of file <a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a68874dd0bbc8cae9ac036dfc45aeec4b"></a><!-- doxytag: member="Ogre::BillboardChain::Element::Element" ref="a68874dd0bbc8cae9ac036dfc45aeec4b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a68874dd0bbc8cae9ac036dfc45aeec4b">Ogre::BillboardChain::Element::Element</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8002c580266cf64b506d2558f86f0146"></a><!-- doxytag: member="Ogre::BillboardChain::Element::Element" ref="a8002c580266cf64b506d2558f86f0146" args="(const Vector3 &amp;position, Real width, Real texCoord, const ColourValue &amp;colour, const Quaternion &amp;orientation)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a68874dd0bbc8cae9ac036dfc45aeec4b">Ogre::BillboardChain::Element::Element</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>texCoord</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>colour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>orientation</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aca293130c8752d30fc6a7bee3252fc36"></a><!-- doxytag: member="Ogre::BillboardChain::Element::colour" ref="aca293130c8752d30fc6a7bee3252fc36" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#aca293130c8752d30fc6a7bee3252fc36">Ogre::BillboardChain::Element::colour</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboardChain_8h_source.html#l00100">100</a> of file <a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a511a534a85e4accfbbdcb34dc4bcd66c"></a><!-- doxytag: member="Ogre::BillboardChain::Element::orientation" ref="a511a534a85e4accfbbdcb34dc4bcd66c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a511a534a85e4accfbbdcb34dc4bcd66c">Ogre::BillboardChain::Element::orientation</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboardChain_8h_source.html#l00103">103</a> of file <a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8ba26812cafc456d1ffcdafba1edc4c7"></a><!-- doxytag: member="Ogre::BillboardChain::Element::position" ref="a8ba26812cafc456d1ffcdafba1edc4c7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a8ba26812cafc456d1ffcdafba1edc4c7">Ogre::BillboardChain::Element::position</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboardChain_8h_source.html#l00096">96</a> of file <a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="adfcbe79d8b6bd60c8ea91c2c75f92f46"></a><!-- doxytag: member="Ogre::BillboardChain::Element::texCoord" ref="adfcbe79d8b6bd60c8ea91c2c75f92f46" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#adfcbe79d8b6bd60c8ea91c2c75f92f46">Ogre::BillboardChain::Element::texCoord</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>U or V texture coord depending on options. </p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h_source.html#l00099">99</a> of file <a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a12ba93bd71664de7567e0f8e84cd3691"></a><!-- doxytag: member="Ogre::BillboardChain::Element::width" ref="a12ba93bd71664de7567e0f8e84cd3691" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#a12ba93bd71664de7567e0f8e84cd3691">Ogre::BillboardChain::Element::width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboardChain_8h_source.html#l00097">97</a> of file <a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
